This URL gets all the VM groups configured for a Controller.
Resource URL
GET /vmgroup
Request Parameters
Query Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Controller ID. You can use the | number | Yes |
Response Parameters
Following fields are returned in the response.
Field Name | Description | Data Type |
|---|---|---|
| Indicates if the GET operation is successful. Value is set to Value is set to | string |
| Not applicable | Not applicable |
| Not applicable | Not applicable |
| Not applicable | Not applicable |
| Details of the VM groups | array of objects |
Request
GET https://<NSM_IP>/intruvert/webservice/api/v1/cloud/vmgroup?controllerId=8
Response
{
"success": true,
"msg": null,
"errMsg": null,
"domainName": null,
"data": [
{
"domainId": 0,
"subscriberVMGroupId": 103,
"groupName": "vmg1"
}]
}